PIRL.Database

## Interface SQL_Listener

All Known Implementing Classes:
  Database_test.SQL_Statements

    public interface SQL_Listener

The SQL_Listener interface is used by a Data_Port to provide notifications of SQL statements being sent to the database server.

### Method Summary

Methods
`void` `SQL_Statement(String SQL)` Called by a Data_Port before an SQL statement is sent to the database server.

### Method Detail

#### SQL_Statement

    void SQL_Statement(String SQL)

Called by a Data_Port before an SQL statement is sent to the database server.

Parameters:
  `SQL` - The SQL statement String that will be sent to the database server.